<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AcctSetLoanData pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathAcctSetLoanData extends AbstractStructBase
{
    /**
     * The vendorid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorid;
    /**
     * The token
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $token;
    /**
     * The vendorpw
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorpw;
    /**
     * The loannumber
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $loannumber;
    /**
     * The loandata
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfLoanKeyValuePair1
     */
    public $loandata;
    /**
     * Constructor method for AcctSetLoanData
     * @uses PathAcctSetLoanData::setVendorid()
     * @uses PathAcctSetLoanData::setToken()
     * @uses PathAcctSetLoanData::setVendorpw()
     * @uses PathAcctSetLoanData::setLoannumber()
     * @uses PathAcctSetLoanData::setLoandata()
     * @param string $vendorid
     * @param string $token
     * @param string $vendorpw
     * @param string $loannumber
     * @param \Path\pathArrayType\PathArrayOfLoanKeyValuePair1 $loandata
     */
    public function __construct($vendorid = null, $token = null, $vendorpw = null, $loannumber = null, \Path\pathArrayType\PathArrayOfLoanKeyValuePair1 $loandata = null)
    {
        $this
            ->setVendorid($vendorid)
            ->setToken($token)
            ->setVendorpw($vendorpw)
            ->setLoannumber($loannumber)
            ->setLoandata($loandata);
    }
    /**
     * Get vendorid value
     * @return string|null
     */
    public function getVendorid()
    {
        return $this->vendorid;
    }
    /**
     * Set vendorid value
     * @param string $vendorid
     * @return \Path\pathStructType\PathAcctSetLoanData
     */
    public function setVendorid($vendorid = null)
    {
        // validation for constraint: string
        if (!is_null($vendorid) && !is_string($vendorid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorid, true), gettype($vendorid)), __LINE__);
        }
        $this->vendorid = $vendorid;
        return $this;
    }
    /**
     * Get token value
     * @return string|null
     */
    public function getToken()
    {
        return $this->token;
    }
    /**
     * Set token value
     * @param string $token
     * @return \Path\pathStructType\PathAcctSetLoanData
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        $this->token = $token;
        return $this;
    }
    /**
     * Get vendorpw value
     * @return string|null
     */
    public function getVendorpw()
    {
        return $this->vendorpw;
    }
    /**
     * Set vendorpw value
     * @param string $vendorpw
     * @return \Path\pathStructType\PathAcctSetLoanData
     */
    public function setVendorpw($vendorpw = null)
    {
        // validation for constraint: string
        if (!is_null($vendorpw) && !is_string($vendorpw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorpw, true), gettype($vendorpw)), __LINE__);
        }
        $this->vendorpw = $vendorpw;
        return $this;
    }
    /**
     * Get loannumber value
     * @return string|null
     */
    public function getLoannumber()
    {
        return $this->loannumber;
    }
    /**
     * Set loannumber value
     * @param string $loannumber
     * @return \Path\pathStructType\PathAcctSetLoanData
     */
    public function setLoannumber($loannumber = null)
    {
        // validation for constraint: string
        if (!is_null($loannumber) && !is_string($loannumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($loannumber, true), gettype($loannumber)), __LINE__);
        }
        $this->loannumber = $loannumber;
        return $this;
    }
    /**
     * Get loandata value
     * @return \Path\pathArrayType\PathArrayOfLoanKeyValuePair1|null
     */
    public function getLoandata()
    {
        return $this->loandata;
    }
    /**
     * Set loandata value
     * @param \Path\pathArrayType\PathArrayOfLoanKeyValuePair1 $loandata
     * @return \Path\pathStructType\PathAcctSetLoanData
     */
    public function setLoandata(\Path\pathArrayType\PathArrayOfLoanKeyValuePair1 $loandata = null)
    {
        $this->loandata = $loandata;
        return $this;
    }
}
