<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeleteLoanFeeData pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathDeleteLoanFeeData extends AbstractStructBase
{
    /**
     * The feeid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $feeid;
    /**
     * The vendorid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorid;
    /**
     * The apitoken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $apitoken;
    /**
     * The vendorpw
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorpw;
    /**
     * Constructor method for DeleteLoanFeeData
     * @uses PathDeleteLoanFeeData::setFeeid()
     * @uses PathDeleteLoanFeeData::setVendorid()
     * @uses PathDeleteLoanFeeData::setApitoken()
     * @uses PathDeleteLoanFeeData::setVendorpw()
     * @param int $feeid
     * @param string $vendorid
     * @param string $apitoken
     * @param string $vendorpw
     */
    public function __construct($feeid = null, $vendorid = null, $apitoken = null, $vendorpw = null)
    {
        $this
            ->setFeeid($feeid)
            ->setVendorid($vendorid)
            ->setApitoken($apitoken)
            ->setVendorpw($vendorpw);
    }
    /**
     * Get feeid value
     * @return int
     */
    public function getFeeid()
    {
        return $this->feeid;
    }
    /**
     * Set feeid value
     * @param int $feeid
     * @return \Path\pathStructType\PathDeleteLoanFeeData
     */
    public function setFeeid($feeid = null)
    {
        // validation for constraint: int
        if (!is_null($feeid) && !(is_int($feeid) || ctype_digit($feeid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($feeid, true), gettype($feeid)), __LINE__);
        }
        $this->feeid = $feeid;
        return $this;
    }
    /**
     * Get vendorid value
     * @return string|null
     */
    public function getVendorid()
    {
        return $this->vendorid;
    }
    /**
     * Set vendorid value
     * @param string $vendorid
     * @return \Path\pathStructType\PathDeleteLoanFeeData
     */
    public function setVendorid($vendorid = null)
    {
        // validation for constraint: string
        if (!is_null($vendorid) && !is_string($vendorid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorid, true), gettype($vendorid)), __LINE__);
        }
        $this->vendorid = $vendorid;
        return $this;
    }
    /**
     * Get apitoken value
     * @return string|null
     */
    public function getApitoken()
    {
        return $this->apitoken;
    }
    /**
     * Set apitoken value
     * @param string $apitoken
     * @return \Path\pathStructType\PathDeleteLoanFeeData
     */
    public function setApitoken($apitoken = null)
    {
        // validation for constraint: string
        if (!is_null($apitoken) && !is_string($apitoken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($apitoken, true), gettype($apitoken)), __LINE__);
        }
        $this->apitoken = $apitoken;
        return $this;
    }
    /**
     * Get vendorpw value
     * @return string|null
     */
    public function getVendorpw()
    {
        return $this->vendorpw;
    }
    /**
     * Set vendorpw value
     * @param string $vendorpw
     * @return \Path\pathStructType\PathDeleteLoanFeeData
     */
    public function setVendorpw($vendorpw = null)
    {
        // validation for constraint: string
        if (!is_null($vendorpw) && !is_string($vendorpw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorpw, true), gettype($vendorpw)), __LINE__);
        }
        $this->vendorpw = $vendorpw;
        return $this;
    }
}
