<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExtendTheToken pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathExtendTheToken extends AbstractStructBase
{
    /**
     * The vendorid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorid;
    /**
     * The vendorpw
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorpw;
    /**
     * The token
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $token;
    /**
     * The extendtime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $extendtime;
    /**
     * Constructor method for ExtendTheToken
     * @uses PathExtendTheToken::setVendorid()
     * @uses PathExtendTheToken::setVendorpw()
     * @uses PathExtendTheToken::setToken()
     * @uses PathExtendTheToken::setExtendtime()
     * @param string $vendorid
     * @param string $vendorpw
     * @param string $token
     * @param string $extendtime
     */
    public function __construct($vendorid = null, $vendorpw = null, $token = null, $extendtime = null)
    {
        $this
            ->setVendorid($vendorid)
            ->setVendorpw($vendorpw)
            ->setToken($token)
            ->setExtendtime($extendtime);
    }
    /**
     * Get vendorid value
     * @return string|null
     */
    public function getVendorid()
    {
        return $this->vendorid;
    }
    /**
     * Set vendorid value
     * @param string $vendorid
     * @return \Path\pathStructType\PathExtendTheToken
     */
    public function setVendorid($vendorid = null)
    {
        // validation for constraint: string
        if (!is_null($vendorid) && !is_string($vendorid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorid, true), gettype($vendorid)), __LINE__);
        }
        $this->vendorid = $vendorid;
        return $this;
    }
    /**
     * Get vendorpw value
     * @return string|null
     */
    public function getVendorpw()
    {
        return $this->vendorpw;
    }
    /**
     * Set vendorpw value
     * @param string $vendorpw
     * @return \Path\pathStructType\PathExtendTheToken
     */
    public function setVendorpw($vendorpw = null)
    {
        // validation for constraint: string
        if (!is_null($vendorpw) && !is_string($vendorpw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorpw, true), gettype($vendorpw)), __LINE__);
        }
        $this->vendorpw = $vendorpw;
        return $this;
    }
    /**
     * Get token value
     * @return string|null
     */
    public function getToken()
    {
        return $this->token;
    }
    /**
     * Set token value
     * @param string $token
     * @return \Path\pathStructType\PathExtendTheToken
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        $this->token = $token;
        return $this;
    }
    /**
     * Get extendtime value
     * @return string|null
     */
    public function getExtendtime()
    {
        return $this->extendtime;
    }
    /**
     * Set extendtime value
     * @param string $extendtime
     * @return \Path\pathStructType\PathExtendTheToken
     */
    public function setExtendtime($extendtime = null)
    {
        // validation for constraint: string
        if (!is_null($extendtime) && !is_string($extendtime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($extendtime, true), gettype($extendtime)), __LINE__);
        }
        $this->extendtime = $extendtime;
        return $this;
    }
}
